%define fullname mysql-connector-java-%version

Summary: JDBC driver for MySQL
Name: mysql-connector-jdbc
Version: 5.0.4
Release: alt2
Url: http://www.mysql.com/products/connector/j/
License: GPL
Group: Databases

Source: %fullname.tar.gz

Requires: j2se-jdbc
Obsoletes: mysql-jdbc < %version-%release
Provides: mysql-jdbc = %version-%release

BuildRequires: /proc
BuildRequires: j2se1.5-sun-devel ant
BuildArch: noarch

%description
MySQL Connector/J is an implementation of the JDBC API for the MySQL
relational database server.

%prep
%setup -q -n %fullname

%build
ant

%install
%__mkdir -p %buildroot%_datadir/java
%__install -m 644 \
    build/%fullname/%fullname-bin.jar \
    %buildroot%_datadir/java/%name-%version.jar

%files
%doc CHANGES COPYING README
%_datadir/java/*.jar

%changelog
* Sun Apr 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 5.0.4-alt2
- fixed build dependencies

* Wed Feb 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 5.0.4-alt1
- 5.0.4
- rename to mysql-connector-jdbc

* Wed Nov 09 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.1.11-alt1
- 3.1.11

* Wed Oct 05 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.0.17-alt1
- initial release

